<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>disable</Nullable>
        <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
        <IsPackable>false</IsPackable>
        <Configurations>Debug;Test;Release</Configurations>
        <Platforms>x64</Platforms>
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
    </PropertyGroup>

    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Test|x64' ">
        <Optimize>true</Optimize>
    </PropertyGroup>
    
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
        <Optimize>true</Optimize>
    </PropertyGroup>
    
    <ItemGroup>
        <ProjectReference Include="..\Nerfed.Runtime\Nerfed.Runtime.csproj" />
    </ItemGroup>

    <Import Project=".\CopyLibs.targets" />

    <Target Name="PostBuild" AfterTargets="PostBuildEvent">
      <Exec Command="&quot;$(ProjectDir)../Bin/Nerfed.Builder/Nerfed.Builder&quot; -build -resourcePath &quot;$(ProjectDir)Resources&quot; -resourceOutPath &quot;$(TargetDir)Resources&quot; " />
    </Target>
</Project>